<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Черный список';
head();
aut();
who_add(0,'enter');


switch($mod) {

default:

if (isset($_GET['del'])){
$db->sql_query("DELETE FROM `ignor` WHERE `id` = '".intval($_GET['del'])."' and `user_id` = '$user[id]'");
}

echo '<br />';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from ignor where `user_id` = '$user[id]'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post==0)echo 'Список пуст<br />';

$r = $db->sql_query ("Select * from ignor where `user_id` = '$user[id]' order by id LIMIT $start, $max");
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo $post_k++.') ';

echo '<b>'.nik($a['ig_id']).'</b> [<a href="ignor?del='.$a['id'].'">Удал.</a>] <br />';

}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('ignor?',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

if ($ver!='wml')echo '<form action="ignor?mod=add&amp;act=add&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<br />Ник или ID:<br /><input name="nick'.$ref.'" maxlength="15" title="Text"/><br/>';
else echo '<br />Ник или ID:<br /><input type="text" name="nick" maxlength="15" title="Text"/><br/>';
if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="ignor?mod=add&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="nick" value="$nick'.$ref.'"/>
</go></anchor><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}

break;

case add:


if ($_GET['err']==1)echo '<b>Такого пользователя не существует!</b><br />';
if ($_GET['err']==2)echo '<b>Так не пойдет!Нельзя должностное лицо в игнор добавить!</b><br/>';
if (empty($act)){
if ($ver!='wml')echo '<form action="ignor?mod=add&amp;act=add&amp;'.SID.'" method="post">';
if ($ver=='wml')echo 'Ник или ID:<br /><input name="nick'.$ref.'" maxlength="15" title="Text"/><br/>';
else echo 'Ник или ID:<br /><input type="text" name="nick" maxlength="15" title="Text"/><br/>';
if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="ignor?mod=add&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="nick" value="$nick'.$ref.'"/>
</go></anchor><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}

}else{
$nick = check($_POST['nick']);
if(isset($_GET['nick']))$nick = check($_GET['nick']);
if (!user($nick)){header ('Location: ignor?mod='.$mod.'&err=1&'.SID);  exit;}
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if ($inf[level]>=4){header ('Location: ignor?mod='.$mod.'&err=2&'.SID);  exit;}
if(isset($_GET['no'])){
echo 'Вы уверены что желаете добавить <b>'.user_inf($nick,'user').'</b> в ваш черный список?<br />';
echo '&#160;&#160;<a href="ignor?mod=add&amp;act=add&amp;nick='.$nick.'">ДА</a> | <a href="'.H.$nick.'">НЕТ</a><br />';
echo '<br />';
if ($mod)echo gb.'<a href="ignor">Черный список</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
}

@$db->sql_query ("Select * from ignor where `ig_id` = '".user_inf($nick)."' and `user_id` = '$user[id]'");
if (mysql_affected_rows()!=0){
echo '<b>'.user_inf($nick,'user').'</b> уже есть в вашем черном списке.<br />';
if ($mod)echo gb.'<a href="ignor">Черный список</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
}

if ($db->sql_query ("INSERT INTO ignor (user_id,ig_id) VALUES ('$user[id]','".user_inf($nick)."')")){

echo 'Пользователь <b>'.user_inf($nick,'user').'</b> занесен в ваш Черный список!<br />Теперь он не сможет писать вам приватные сообщения и писать на ваш ник в чате.<br />';

}else{
echo 'Ошибка!';
}
}

break;

}
if ($mod)echo gb.'<a href="ignor">Черный список</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>